Create Secret Manager Token
API server
https://app.coolify.io/api/v1Create and validate a Doppler, Infisical, or Vault integration token.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
provider*string
Value in
"doppler" | "infisical" | "vault"name*string
token*string
metadata?object
Response Body
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/security/integration-tokens" \ -H "Content-Type: application/json" \ -d '{ "provider": "doppler", "name": "string", "token": "string" }'Empty
{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}Configure Application Secret Manager PATCH
Configure the secret manager source used by an application.
Check server import GET
Check that this instance can import a server, before the source instance starts the transfer. It checks the token, the bundle version, the server limit, servers with the same UUID or IP, and that this instance can reach the SSH port of the server.
